Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.jenkins
Class JBehaveInputMetric

    java.lang.Object
      com.thalesgroup.dtkit.metrics.model.InputMetric
          com.thalesgroup.dtkit.metrics.model.InputMetricXSL
              org.jbehave.jenkins.JBehaveInputMetric

All Implemented Interfaces:
  Serializable

    public class JBehaveInputMetric

extends com.thalesgroup.dtkit.metrics.model.InputMetricXSL

See Also:
  Serialized Form

Constructor Summary
`JBehaveInputMetric()`

Method Summary
`com.thalesgroup.dtkit.metrics.model.OutputMetric` | `getOutputFormatType()`
`String` | `getToolName()`
`com.thalesgroup.dtkit.metrics.model.InputType` | `getToolType()`
`String` | `getToolVersion()`
`String` | `getXslName()`

Methods inherited from class com.thalesgroup.dtkit.metrics.model.InputMetricXSL
`convert, equals, getInputMetricType, getInputXsdClass, getInputXsdFileList, getInputXsdNameList, getListXsdInputStream, getOutputXsdNameList, getXslFile, getXslInputStream, getXslResourceClass, hashCode, validateInputFile, validateOutputFile`

Methods inherited from class com.thalesgroup.dtkit.metrics.model.InputMetric
`getInputValidationErrors, getLabel, getOutputValidationErrors, isDefault, setInputMetricType, setInputValidationErrors, setLabel, setOutputFormatType, setOutputValidationErrors, setToolName, setToolType, setToolVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBehaveInputMetric

    public JBehaveInputMetric()

Method Detail

### getToolType

    public com.thalesgroup.dtkit.metrics.model.InputType getToolType()

  Overrides:
    `getToolType` in class `com.thalesgroup.dtkit.metrics.model.InputMetric`

### getToolName

    public String getToolName()

  Overrides:
    `getToolName` in class `com.thalesgroup.dtkit.metrics.model.InputMetric`

### getToolVersion

    public String getToolVersion()

  Overrides:
    `getToolVersion` in class `com.thalesgroup.dtkit.metrics.model.InputMetric`

### getXslName

    public String getXslName()

  Overrides:
    `getXslName` in class `com.thalesgroup.dtkit.metrics.model.InputMetricXSL`

### getOutputFormatType

    public com.thalesgroup.dtkit.metrics.model.OutputMetric getOutputFormatType()

  Overrides:
    `getOutputFormatType` in class `com.thalesgroup.dtkit.metrics.model.InputMetric`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.